| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgKS Struct Reference
Business Group Features

Keyset Operation. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
int * | ManualHoldRecallTimer
| The time during which recall is performed after the expiration of the BGL-level ManualHoldTimer. More...
int * | LineReservationTimer
| Used to unreserve the line in cases where the line needs to be cleared due to non-use. More...

## Detailed Description

Keyset Operation.

Keyset Operation indicates that the Business Group Lines (BGLs) that are members of this Business Group may be configured as keyset devices and use keyset operations, which encompass the following capabilities:

- SIP telephones may be provisioned with multiple Directory Numbers (DNs) and a DN may be provisioned on multiple SIP telephones.
- Calls may be originated from any DN that appears on the telephone. Calls to a DN are signaled simultaneously at all telephones where the DN appears and can be answered from any of those telephones.
- The appearances on a telephone are typically associated with line keys, which have LEDs to show the status of the line (busy, alerting, holding).
- A call can be placed on hold at one telephone and retrieved from hold at another telephone that has an appearance of the DN.

MP2 command: CFBgKS [Attributes]

Note
  Openscape Voice SOAP does not restrict the provisioning of keyset information to only those BGLs that are members of a BG that has this service subscribed. A SOAP client, however, could do so.

## Member Data Documentation

## ◆ LineReservationTimer

int* unsp__CfBgKS::LineReservationTimer

Used to unreserve the line in cases where the line needs to be cleared due to non-use.

required: false
default value[range]: 120 [10..300]

## ◆ ManualHoldRecallTimer

int* unsp__CfBgKS::ManualHoldRecallTimer

The time during which recall is performed after the expiration of the BGL-level ManualHoldTimer.

After the timer expires, the call can be sent to intercept
required: false
default value[range]: 18 [5..3600]

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgKS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h